# Create groups

`POST https://api.parklio.com/v2/groups`

This endpoint allows the user to create groups

**Auth:** `Authorization: Bearer <token>`

## Request body

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `name` | string | yes |  |
| `description` | string | no |  |
| `member_ids` | number[] | no |  |
| `tariff_ids` | number[] | no |  |

```json
{
  "name": "Default Group",
  "description": "Default Description",
  "member_ids": [
    1,
    2,
    3
  ],
  "tariff_ids": [
    1,
    2,
    3
  ]
}
```

## Responses

### 200

```json
{
  "success": true,
  "data": {
    "id": 1,
    "name": "Group name",
    "description": "Group description",
    "account_id": 1,
    "members": [
      {
        "id": 1,
        "name": "Member"
      }
    ],
    "tariffs": [
      {
        "id": 1,
        "name": "Basic Tariff"
      }
    ]
  }
}
```

### 401 — Account user is not logged in and they should log in again.

```json
{
  "success": false,
  "errors": [
    {
      "code": 1,
      "message": "Unauthorized access."
    }
  ]
}
```

### 403 — User does not have permission to access requested resource.

```json
{
  "success": false,
  "errors": [
    {
      "code": 4,
      "message": "No permission."
    }
  ]
}
```

### 404 — Resource that has been requested does not exist. User should not try to repeat this request.

```json
{
  "success": false,
  "errors": [
    {
      "code": 6,
      "message": "Resource not found."
    }
  ]
}
```

### 422 — Some of the provided request parameters are missing or are invalid. User should add/change them according to response message.

```json
{
  "success": false,
  "errors": [
    {
      "code": 23,
      "message": "Validation error",
      "field": "field"
    }
  ]
}
```

